Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher
Class RequestMap

    java.lang.Object
      java.util.AbstractMap
          org.apache.struts2.dispatcher.RequestMap

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class RequestMap

extends java.util.AbstractMap
implements java.io.Serializable

A simple implementation of the `Map` interface to handle a collection of request attributes.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`RequestMap(javax.servlet.http.HttpServletRequest request)` Saves the request to use as the backing for getting and setting values

Method Summary
`void` | `clear()` Removes all attributes from the request as well as clears entries in this map.
`java.util.Set` | `entrySet()` Returns a Set of attributes from the http request.
`java.lang.Object` | `get(java.lang.Object key)` Returns the request attribute associated with the given key or `null` if it doesn't exist.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Saves an attribute in the request.
`java.lang.Object` | `remove(java.lang.Object key)` Removes the specified request attribute.

Methods inherited from class java.util.AbstractMap
`clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestMap

    public RequestMap(javax.servlet.http.HttpServletRequest request)

  Saves the request to use as the backing for getting and setting values

  Parameters:
    `request` - the http servlet request.

Method Detail

### clear

    public void clear()

  Removes all attributes from the request as well as clears entries in this map.

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.AbstractMap`

### entrySet

    public java.util.Set entrySet()

  Returns a Set of attributes from the http request.

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`
  Returns:
    a Set of attributes from the http request.

### get

    public java.lang.Object get(java.lang.Object key)

  Returns the request attribute associated with the given key or `null` if it doesn't exist.

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`
  Parameters:
    `key` - the name of the request attribute.
  Returns:
    the request attribute or `null` if it doesn't exist.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Saves an attribute in the request.

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`
  Parameters:
    `key` - the name of the request attribute.
    `value` - the value to set.
  Returns:
    the object that was just set.

### remove

    public java.lang.Object remove(java.lang.Object key)

  Removes the specified request attribute.

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.AbstractMap`
  Parameters:
    `key` - the name of the attribute to remove.
  Returns:
    the value that was removed or `null` if the value was not found (and hence, not removed).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.